MonoMac 0.0.0.0 System.Object MonoMac.ObjCRuntime.INativeObject System.IDisposable Image Loader.
- Method
  0.0.0.0
  System.Obsolete("Use GetProperties")
  MonoMac.Foundation.NSDictionary `` Properties to copy. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use GetProperties")
  MonoMac.Foundation.NSDictionary `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use GetProperties")
  MonoMac.Foundation.NSDictionary `` `` Properties to copy. Image index. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use GetProperties")
  MonoMac.Foundation.NSDictionary `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGImage `` `` Index of the image to create. Image creation options. Creates a CGImage from this loader. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.ImageIO.CGImageSource `` Image creation options. Creates an incremental image loader. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGImage `` `` Index of the image to load. Thumbnail image creation options. Creates a CGImage thumbnail from this loader.. To be added. To be added.
- Method
  0.0.0.0
  System.Void Releases the resources used by the CGImageSource object.

  The Dispose method releases the resources used by the CGImageSource class.

  Calling the Dispose method when you are finished using the CGImageSource ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it. For more information on releasing resources see ``Cleaning up Unmananaged Resources'' at http://msdn.microsoft.com/en-us/library/498928w2.aspx

- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the CGImageSource object.

  This Dispose method releases the resources used by the CGImageSource class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the CGImageSource ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Method
  0.0.0.0
  System.Void Finalizer for the CGImageSource object
- Method
  0.0.0.0
  MonoMac.ImageIO.CGImageSource `` Block of bytes containing the image. Creates an image loader from the block of bytes. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.ImageIO.CGImageSource `` `` Block of bytes containing the image. Image creation options. Creates an image loader from the block of bytes. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.ImageIO.CGImageSource `` Dynamic data provider. Creates an image loader using a dynamic data provider. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.ImageIO.CGImageSource `` `` Dynamic data provider. Image creation options. Creates an image loader using a dynamic data provider. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.ImageIO.CGImageSource `` Url to load the image from. Creates an image loader that loads the file from the given url. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.ImageIO.CGImageSource `` `` Url to load the image from. Image creation options. Creates an image loader that loads the file from the given url. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGImageProperties `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGImageProperties `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.ImageIO.CGImageSourceStatus Returns the loader status. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.ImageIO.CGImageSourceStatus `` Image index. Returns the loader status. To be added. To be added.
- Method
  0.0.0.0
  System.Int32 The CoreFoundation TypeID. To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr Handle (pointer) to the unmanaged object representation. A pointer This IntPtr is a handle to the underlying unmanaged representation for this object.
- Property
  0.0.0.0
  System.Int32 Number of images loaded (does not include the Thumbnail). To be added. To be added.
- Property
  0.0.0.0
  System.String The image type of the underling image. To be added. To be added.
- Property
  0.0.0.0
  System.String[] The type identifiers for the formats supported by the image loader. To be added. To be added.
- Method
  0.0.0.0
  System.Void `` `` Block of bytes containing the image. Whether this block is the last block of data. Pushes new data into a dynamic image loader. To be added.
- Method
  0.0.0.0
  System.Void `` Dynamic data provider. Use this to swap out the data provider used by this image loader. To be added.